"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Browser = void 0;
const client_1 = require("./client");
Object.defineProperty(exports, "Browser", { enumerable: true, get: function () { return client_1.Client; } });
if (process.env.NODE_ENV == 'test') {
    client_1.Client.prototype.start = () => __awaiter(void 0, void 0, void 0, function* () {
        console.log('*** The virtual browser module is mocked because of the testing process. ***');
        return;
    });
}
