"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commandError_1 = require("../errors/commandError");
class default_1 {
    constructor(lang) {
        this.lang = lang;
    }
    validate() {
        if (this.lang != 'ja' && this.lang != 'en') {
            throw new commandError_1.CommandError('INVALID_LANGUAGE');
        }
    }
}
exports.default = default_1;
