"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commandError_1 = require("../errors/commandError");
class default_1 {
    constructor(pin) {
        this.re = /^[0-9]{6}$/;
        this.pin = pin;
    }
    validate() {
        if (!this.pin) {
            throw new commandError_1.CommandError('NO_PIN');
        }
        if (!this.re.test(this.pin)) {
            throw new commandError_1.CommandError('INVALID_PIN');
        }
    }
}
exports.default = default_1;
