"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
class App {
    constructor() {
        this.readVersion();
    }
    /**
     * バージョンファイルの読み取り
     */
    readVersion() {
        const data = fs.readFileSync(`${__dirname}/../resources/version`);
        this.version = JSON.parse(data.toString()).version;
    }
}
exports.default = App;
