"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AgentStatusError = void 0;
class AgentStatusError extends Error {
    constructor(error_key) {
        super();
        this.error_list = require(`${__dirname}/../../resources/errors/agentStatusErrors.json`);
        this.error_object = this.error_list[error_key];
        this.message = this.error_object.message;
        this.name = "ConnectError";
    }
    getExitcode() {
        return this.error_object.exitcode;
    }
    getJsonError() {
        return JSON.stringify(this.error_object);
    }
}
exports.AgentStatusError = AgentStatusError;
