"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommandError = void 0;
class CommandError extends Error {
    constructor(error_key) {
        super();
        this.error_list = require(`${__dirname}/../../resources/errors/commandErrors.json`);
        this.error_object = this.error_list[error_key];
        this.message = this.error_object.message;
        this.name = "CommandError";
    }
    getExitcode() {
        return this.error_object.exitcode;
    }
    getJsonError() {
        return JSON.stringify(this.error_object);
    }
}
exports.CommandError = CommandError;
