# -*- coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from __future__ import print_function
from __future__ import unicode_literals
from __future__ import absolute_import
from __future__ import division

from project.forms.fields.extras.enable import EnableField
# from project.forms.fields.extras.agree import AgreeField
from project.forms.fields.checkbox import CheckboxField


class CloudBOTAgentEnabledField(EnableField):
    pass


class CloudBOTAgentAgreedField(CheckboxField):
    def __init__(self, *args, **kwargs):
        kwargs['label'] = kwargs.get('label', u'上記の内容に同意する')
        kwargs['required'] = kwargs.get('required', False)
        super(CloudBOTAgentAgreedField, self).__init__(*args, **kwargs)
